Xeonr Developer Docs

Get a team with members, invitations, and application bindings

POST
/xeonr.auth.private.v1.TeamsService/GetTeam

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

team?string

Team URN or slug.

Length1 <= length <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.TeamsService/GetTeam" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "team": {
    "team": {
      "teamId": "urn:xeonr:auth:team:0f3c9a2e-8f1b-4c2d-9e6a-1b2c3d4e5f60",
      "slug": "platform-core",
      "name": "Platform Core",
      "description": "string",
      "avatarUrl": "string",
      "createdAt": "2023-01-15T01:30:15.01Z"
    },
    "iacManaged": true,
    "memberCount": 0
  },
  "members": [
    {
      "memberId": "urn:xeonr:auth:uid:user:123",
      "username": "string",
      "email": "string",
      "avatarUrl": "string",
      "role": "TEAM_ROLE_UNSPECIFIED",
      "applicationRoles": {
        "property1": {
          "roles": [
            "string"
          ]
        },
        "property2": {
          "roles": [
            "string"
          ]
        }
      },
      "joinedAt": "2023-01-15T01:30:15.01Z",
      "iacManaged": true
    }
  ],
  "invitations": [
    {
      "invitation": {
        "invitationId": "b8a7c6d5-e4f3-4a2b-9c8d-7e6f5a4b3c2d",
        "teamId": "string",
        "email": "[email protected]",
        "role": "TEAM_ROLE_UNSPECIFIED",
        "applicationRoles": [
          "string"
        ],
        "invitedBy": "urn:xeonr:auth:uid:user:123",
        "expiresAt": "2023-01-15T01:30:15.01Z",
        "createdAt": "2023-01-15T01:30:15.01Z"
      },
      "applicationRoles": {
        "property1": {
          "roles": [
            "string"
          ]
        },
        "property2": {
          "roles": [
            "string"
          ]
        }
      }
    }
  ],
  "applications": [
    {
      "applicationId": "string",
      "applicationSlug": "string",
      "applicationName": "string",
      "config": {
        "property1": {},
        "property2": {}
      },
      "automaticTeamBinding": true,
      "iacManaged": true,
      "createdAt": "2023-01-15T01:30:15.01Z",
      "teamRoles": [
        {
          "name": "string",
          "description": "string"
        }
      ]
    }
  ],
  "myRole": "TEAM_ROLE_UNSPECIFIED"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}